# Method lfun::_is_type()

Method _is_type

  ``bool` _is_type(`string` `basic_type`)`

Description

  Type comparison callback.

  Called by the cast operator to determine if an object simulates a basic type.

Parameter `basic_type`

  One of:

  ``"array"``
  ``"float"``
  ``"function"``
  ``"int"``
  ``"mapping"``
  ``"multiset"``
  ``"object"``
  ``"program"``
  ``"string"``
  ``"type"``
  ``"void"``
  ``"zero"``

  The following five shouldn't occurr, but are here for completeness:

  ``"lvalue"``
  ``"mapping_data"``
  ``"object storage"``
  ``"pike_frame"``
  ``"unknown"``

Returns

  Expected to return `1` if the object is to be regarded as a simulation of the type specified by `basic_type`.

Note

  The argument is currently a string with the name of the type, but might in the future be a value of the type type.

Note

  It's assumed that this function is side-effect free.